https://serverless-stack.com/ logo
#help
Title
# help
j

Jon Holman

01/14/2022, 8:36 PM
huh, I just tried to update to
0.59.1
and I got this:
Copy code
% npx sst diff
Using stage: dev
Preparing your SST app
Error: Cannot find module 'colors/safe'
Require stack:
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/node_modules/@aws-cdk/cloudformation-diff/lib/iam/iam-changes.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/node_modules/@aws-cdk/cloudformation-diff/lib/diff/types.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/node_modules/@aws-cdk/cloudformation-diff/lib/diff/index.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/node_modules/@aws-cdk/cloudformation-diff/lib/diff-template.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/node_modules/@aws-cdk/cloudformation-diff/lib/index.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/lib/api/hotswap-deployments.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/lib/api/deploy-stack.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/lib/api/bootstrap/deploy-bootstrap.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/lib/api/bootstrap/bootstrap-environment.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/lib/api/bootstrap/index.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/lib/api/index.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/lib/util/asset-publishing.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/lib/api/cloudformation-deployments.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/lib/context-providers/index.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/lib/plugin.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/lib/api/aws-auth/credential-plugins.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/lib/api/aws-auth/sdk-provider.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/lib/api/aws-auth/index.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/bin/cdk.js
- /Users/jonholman/repos/personal/notes/node_modules/aws-cdk/bin/cdk
    at Function.Module._resolveFilename (internal/modules/cjs/loader.js:880:15)
    at Function.Module._load (internal/modules/cjs/loader.js:725:27)
    at Module.require (internal/modules/cjs/loader.js:952:19)
    at require (internal/modules/cjs/helpers.js:88:18)
    at Object.<anonymous> (/Users/jonholman/repos/personal/notes/node_modules/aws-cdk/node_modules/@aws-cdk/cloudformation-diff/lib/iam/iam-changes.ts:2:1)
    at Module._compile (internal/modules/cjs/loader.js:1063:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:1092:10)
    at Module.load (internal/modules/cjs/loader.js:928:32)
    at Function.Module._load (internal/modules/cjs/loader.js:769:14)
    at Module.require (internal/modules/cjs/loader.js:952:19)
f

Frank

01/14/2022, 10:23 PM
Can I see your
package.json
?
j

Jon Holman

01/14/2022, 10:26 PM
Copy code
{
  "name": "notes",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "test": "sst test",
    "start": "sst start",
    "build": "sst build",
    "deploy": "sst deploy",
    "remove": "sst remove"
  },
  "dependencies": {
    "@aws-cdk/aws-apigatewayv2-alpha": "2.7.0-alpha.0",
    "@serverless-stack/cli": "0.59.1",
    "@serverless-stack/resources": "0.59.1",
    "aws-cdk-lib": "2.7.0",
    "aws-sdk": "^2.1024.0",
    "uuid": "^8.3.2"
  },
  "eslintConfig": {
    "extends": [
      "serverless-stack"
    ]
  }
}
f

Frank

01/14/2022, 10:39 PM
looks right to me. Can you try wiping out your
node_modules
and the lock file, and then install and diff again?
j

Jon Holman

01/14/2022, 11:01 PM
that fixed it, thanks @Frank.
f

Frank

01/15/2022, 3:55 AM
Awesome 👍